Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
[Java] Class GroovyClass

    java.lang.Object
      org.codehaus.groovy.tools.GroovyClass

    public class GroovyClass
    extends java.lang.Object

Field Summary
`static GroovyClass[]` | `EMPTY_ARRAY`

Constructor Summary
`GroovyClass(java.lang.String name, byte[] bytes)`

Method Summary
`byte[]` | `getBytes()`
`java.lang.String` | `getName()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_ARRAY

    public static final GroovyClass[] EMPTY_ARRAY

Constructor Detail

### GroovyClass

    public GroovyClass(java.lang.String name, byte[] bytes)

Method Detail

### getBytes

    public byte[] getBytes()

### getName

    public java.lang.String getName()

Groovy Documentation